Page 1 of 1

Build Chromium 49 in 2019

Posted: Sat Jul 20, 2019 2:20 pm
by Arkmage2
Hi.

Is there any way to build Chromium 49 in 2019? I want to modify the code to make Aero Glass work on Vista. I tried downloading older Depot Tools, but gclient fails to download python 2.7 package (404 Not Found). Few months ago I tried to build this release using latest Depot Tools, but ninja gave me a lot of errors.

Re: Build Chromium 49 in 2019

Posted: Sun Jul 21, 2019 2:11 pm
by admin
Hello, welcome to the forum, building chromium 49 is going to be hard at this time because the enviroment have changed a lot, that means all the old libraries like python 2.7 are no longer online, also will be hard to compile or build v49 because they used visual studio at that time, at some point they changed to ninja.

What you want to archive is going to be harder every day, at this point is very obsolete, some day people will have to move on and install newer OS, they can't be on XP or vista forever.

Re: Build Chromium 49 in 2019

Posted: Sun Jul 21, 2019 5:57 pm
by Arkmage2
Thanks for reply. I saw, that Python 2.7 is no longer online. I tried to build it for few hours, but finally, I gave up. I see that building the 3 years old version of Chromium is now practically impossible.

Re: Build Chromium 49 in 2019

Posted: Sun Jul 21, 2019 7:03 pm
by admin
Not impossible but plain hard, try this thread

viewtopic.php?f=2&t=2761

DoaJC_Blogger is working on it, I don't know his current status.

Re: Build Chromium 49 in 2019

Posted: Mon Jul 22, 2019 8:29 am
by DoaJC_Blogger
Arkmage2: I was able to build Chromium 44 this year, 32 and 64-bit, and the 64-bit version even runs on 64-bit XP. I had to get a copy of the depot_tools they had in 2015 and use the Wayback Machine to read the build instructions available at the time of the build I was doing.

Here's a full list of instructions for building Chromium 44 in 2019. A zip of the 2015 depot_tools is provided in step 2. http://coolsdrstuff.blogspot.com/p/buil ... omium.html

I realize you want to build version 49. I just thought this would be helpful.